
<html style="width: 97%;" >
  <head>
  	
	
	<link type="text/css" href="css/ui.all.css" rel="stylesheet" />
	<link type="text/css" href="css/ui.base.css" rel="stylesheet" /> <!--   remove the vertical tab images --> 
	<link type="text/css" href="css/ui.tabs.css" rel="stylesheet" />
	
	<link type="text/css" href="css/site.css" rel="stylesheet" />
	
	<link type="text/css" href="css/main.css" rel="stylesheet" />
	<link type="text/css" href="css/jquery-ui.css" rel="stylesheet" />
	<style type="text/css">
		
		/*.ui-widget-content {
			background: none;
			border: none;
		}
		*/
		.ui-widget-header {
			-moz-background-clip:border;
			-moz-background-inline-policy:continuous;
			-moz-background-origin:padding;
			background: none;
			border: none;
			
		}
		
			.twindow { 
				width: 100%; 
				height: 300px; 
				
				border-style:solid;
				border-width:1px; 
				resize: both; 
				
				/* position: relative; 
				top: 30px; 
				left: 20%;
				*/
				float: left; 
				
				-moz-border-radius: 5px;
				-webkit-border-radius: 5px; 
				
			}
			.grid_list { 
				
				width: 95%; 
				height: 71%; 
				float: left; 
				border-style:solid;
				border-width:1px; 
				resize: both; 
				# overflow: auto; 
				position: relative; 
				
				margin-left: 2.25%; 
				margin-top: 3%; 
				margin-bottom: 2%; 
				
				
			}
			
			.column_headers { 
				
				float:left; 
				margin: 0px 53px; 
				horizontal-align: middle; 
				
			}
			
	</style>
	
	
	<script type="text/javascript" src="javascript/jquery-1.3.2.js" ></script> 
	<script type="text/javascript" src="javascript/jquery-ui-1.7.2.custom.min.js" ></script>
	<!-- <script type="text/javascript" src="javascript/jquery-ui-1.7.2.custom.js" ></script>
	-->
	
	<script type="text/javascript" src="javascript/effects.core.js" ></script>
	<script type="text/javascript" src="javascript/effects.slide.js" ></script>
	
	
	<script type="text/javascript" src="javascript/bkeeping.js"></script>
    <script type="text/javascript">
    	
    	
    	var localbkeeping = { 
    		
			_a_open: true,
			toggleAccountsOpen: function() { 
				
            	var newleft = -30; 
    	    	var journalLeft = -30 + 416; 
    	    	
	    		if (localbkeeping._a_open) {
    	    		
            		localbkeeping._a_open = false;
                	newleft = newleft - 381;
                	journalLeft = journalLeft - 380;
            	}
            	else {
        			localbkeeping._a_open = true;
    	    	}
    	    	
    	    	newleft = newleft + "px"; 
                journalLeft = journalLeft + "px"; 
                
                
	    		var adjustJournals = function() { 
					$("#centre-nav").animate({ left: journalLeft }, { duration: 100, easing: "swing", complete: function(){}, queue: false }); 
				}
				$("#left-nav").animate({ left: newleft }, { duration: 750, easing: "swing", complete: adjustJournals, queue: false }); 
				
        	}
			
    	};
    	
   		$(document).ready(function(){
			
			// 2. vertical tabs - http://jsbin.com/iqupu 
			
			// see also: 
			//		http://dhtmlx.com/docs/products/dhtmlxTabbar/index.shtml 
			//		http://www.smashingmagazine.com/2008/08/13/top-10-css-table-designs 
			//		http://www.good.is 
			//		http://www.csstea.com/css-gallery-news-and-resources/264-120-excellent-examples-of-css-horizantal-menu.html 
			//		
			//		web developers - http://adaptd.com , http://lukelarsen.com , http://www.atlanticbt.com 
			
			$(function() {
				$("#tabs").tabs().addClass('ui-tabs-vertical ui-helper-clearfix');
				$("#tabs li").removeClass('ui-corner-top').addClass('ui-corner-right');
			});	
			
			
			var newleft = "-30px"; 
			$("#left-nav").animate({ left: newleft }, { duration: 50, easing: "swing", complete: function(){}, queue: false }); 
			
			
			var journalLeft = "385px"; 
            $("#centre-nav").animate({ left: journalLeft }, { duration: 100, easing: "swing", complete: function(){}, queue: false }); 
            
            page_loader(); 
            
 		});
		
		
		function page_loader() { 
			
			
			$("#modal_screen").css("opacity", 0.5);
			
			
			//** list accounts and journals 
			new bkeeping.ListCommand("accounts", bkeeping.displayAccounts).run(); 
			new bkeeping.ListCommand("journals", bkeeping.displayJournals).run(); 
			
			
			//** get default currency 
			new bkeeping.LoadCommand("profileDetail", bkeeping.setDefaultCurrency).run(); 
			
			bkeeping.ROOT_URL = document.referrer; 
		}
		
    </script>
    
    
    
  </head>
  <body>
  	
  	
  	<div style="position: relative; top: 15px; left: 30px; width: 70%; margin-bottom: 30px; " class="title" id="title">
		bkeeping
		<xx class="subheader">Your solution to simple 
			<xx style="color: rgb(0, 0, 0);">online bookkeeping</xx> 
		</xx>
		
		<button 
			class="buttons" 
			style="font-size: 13.2px; font-style: normal; font-family: Verdana,Arial,sans-serif; float: right;" 
			onclick="bkeeping.logout();" >LOGOUT</button>
		
	</div>
  	
  	
  	<div class="demo">
  	<div id="tabs" style="background: none; border: none;" > 
		
		<ul>
			<li><a href="#tabs-1">Books</a></li>
			<li><a href="#tabs-2">User Profile</a></li>
			<li><a href="#tabs-3">Forums</a></li>
		</ul>
		
		
		<!-- TAB 1 --> 
		<div id="tabs-1" style="height: 440px; width: 83%; float: left; position: relative;" >
		     
		     <div class="accounts-wrapper" id="left-nav" >
				<div class="accounts-pane" style="width: 343px; height: 419px; left: 3px;" >
				
					<div id="accounts_ui" class="cell_content">
						
						<div class="cell_header" style="border: 0 none white; margin-left: 3px; width: 328px; margin-top: 3px; left: 6px; " >
							<h3>Accounts</h3>
							<div id="add_account_div" class="adder_plus" title="Add account" alt="Add account" onclick="bkeeping.addAccount();">+</div>
						</div>
						<div id="accounts_content" class="cell_window" style="border: 0 none white; width: 328px; left: 6px; " >
							<div id="accounts_content_list" class="ac_list">
								<div id="acl_header" class="form_header_row row">
									<div id="acl_header_edit" class="edit_column left_column">
										
									</div>
									<div id="acl_header_name" class="name_column left_column" style="margin-left: 20px;" >
										Name 
									</div>
									<div id="acl_header_category" class="category_column left_column" style="margin-left: 40px;" >
										Category 
									</div>
									<!-- <div id="acl_header_balance" class="balance_column left_column">
										Balance 
									</div>
									-->
									<div id="acl_header_delete" class="delete_column left_column">
										
									</div>
								</div>
								<div id="acl_rows" class="acl_rows rows">
								</div>
							</div>
						</div>
						
					</div>
					
				
				</div>
				<div class="handle" onclick="localbkeeping.toggleAccountsOpen();" style="left: 3px; z-index:1050; " ></div>
		     </div>
		     <div class="journals-pane" id="centre-nav" style="top: 10px; height: 430px; left: 0px;" >
		     	
		     	
						<div class="cell_header" style="border: 0 none white;" >
							<h3>Journals</h3>
							<div onclick="bkeeping.addJournal();" alt="Add journal" title="Add journal" class="adder_plus" id="add_journal_div">+</div>
						</div>
						<div class="cell_window" id="journals_content" style="border: 0 none white; height: auto; width: 93%;" >
							
							<div class="ac_list" id="journals_content_list">
								
								<div class="form_header_row row" id="js_header">
									<div class="edit_column left_column" id="js_header_edit">
										
									</div>
									<div class="large_name_column left_column" id="js_header_name">
										Name
									</div>
									<div class="delete_column left_column" id="js_header_delete">
										
									</div>
								</div>
								
								<div class="js_rows rows" id="js_rows">
									
								</div>
								
								
							</div>
						</div>
						
						<!-- this is needed to keep the width dynamically changing with the accounts panel -->
		     			<p style="visibility: hidden;" >lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum</p>
		     			
		     </div>
		     
		     

	<!-- ================================================	-->
	<!--				JOURNAL UI Template 				-->
	<!-- ================================================	-->
	<div id="journal_ui" 
		style="	color: #000000; 
				z-index:1000; 
				opacity: 1; 
				filter: alpha(opacity=40); 
				background-color:rgba(255, 255, 255, 1); 
				width: 676.25px; 
				height: 302.5px; 
				" >
		
		<div class="twindow" >
		
		
		<!-- HEADERs -->
		<div style="width: 95%; margin: 2.25% 10px 0; overflow: auto; font-family:arial,sans-serif; font-weight:bold;" >
			<div style="float: left; position:relative; text-align:left; left: 10px; " >
			
			Journal: <span id="_journal_id">${jname}</span>
			
			</div>
			<div style="position: absolute; right: 10px; overflow: visible; " alt="Add entry" onclick="bkeeping.addEntry();" >+</div>
		</div>
		
		
		<!-- MAIN GRID --> 
		<div class="grid_list" >
			<div style="
				float: left; 
				width: 98%;
				border: 1px solid rgb(0, 0, 0); 
				padding: 5px; 
				background-color: rgb(204, 204, 204); 
				height: auto; 
				text-align: center; 
				overflow: none; 
				"
				>
				<div class="column_headers" >&nbsp;</div>
				<div class="column_headers" >Date</div>
				<div class="column_headers" >Entry</div>
				<div class="column_headers" >Balance</div>
				<div class="column_headers" >&nbsp;</div>
				
			</div>
		
			<div id="j_rows" style="overflow: auto; clear: both; height: 78%; " >
			</div>
		</div>
		
		
		<!-- 	BUTTONs	 -->
		<div style="width: 95%; margin-left:2.25%; overflow: auto; bottom: 2%;" >
			
			<button 	class="buttons" 
						style="margin: 0px 280px;" 
						onclick='$("#journal_ui").css("display", "none");' >
					CLOSE
			</button>
			
		</div>
		
		
		</div>
	</div>
	
	
	
	<!-- ================================================	-->
	<!-- 				ENTRY UI Template 					-->
	<!-- ================================================	-->
	<div id="entry_ui" 
		style="	color: #000000; 
				display: none; 
				position:absolute; 
				top:10px; 
				left:446px; 
				z-index:1000; 
				opacity: 1; 
				filter: alpha(opacity=40); 
				background-color:rgba(255, 255, 255, 1); 
				width: 682.417px; 
				height: 302.5px; 
				" >
		
		<div class="twindow" >
		
		
		<!-- HEADERs -->
		<div style="width: 95%; margin: 2.25% 10px 0; overflow: auto; font-family:arial,sans-serif; font-weight:bold;" >
			<div style="float: left; position:relative; text-align:left; left: 10px; " >
				Entry: <span id="_journalentry_id">${jname}</span>
			</div>
			<div style="position: absolute; right: 10px; overflow: visible; alt="Add entry" onclick="bkeeping.addEditEntryPart(null);" >+</div>
		</div>
		
		
		<!-- MAIN GRID --> 
		<div class="grid_list" >
			<div style="
				float: left; 
				width: 98%;
				border: 1px solid rgb(0, 0, 0); 
				padding: 5px; 
				background-color: rgb(204, 204, 204); 
				height: auto; 
				text-align: center; 
				overflow: none; 
				"
				>
				
				<div class="column_headers" >&nbsp;</div>
				
				<div style="height:12px;" >
					
					<div style="height:14px; width:30%; text-align: center; float: left; ">
						Debit
					</div>
					<div style="height:14px; width:30%; text-align: center; float: left; ">
						Credit
					</div>
				</div>
				
				
				<div style="text-align: center; float: left; width: 60%;" >
									
									<div style="width:25%; text-align: center; float: left; ">
										Account
									</div>
									<div style="width:25%; text-align: center; float: left; ">
										Amount
									</div>
									<div style="width:25%; text-align: center; float: left; ">
										Account
									</div>
									<div style="width:25%; text-align: center; float: left; ">
										Amount
									</div>
				</div>
								
				<div class="column_headers" >&nbsp;</div>
				
			</div>
		
			<div id="jentry_rows" style="overflow: auto; clear: both; height: 81%; " >
			</div>
		</div>
		
		
		<!-- 	BUTTONs	 -->
		<div style="width: 95%; margin-left:2.25%; overflow: auto; bottom: 2%;" >
			
			<button class="buttons" style="margin: 0px 40px 0px 220px; " onclick="bkeeping.saveEntry( '${entryid}' )" >SAVE</button>
			<button class="buttons" style="margin: 0px 200px 0px 40px; " onclick='$("#entry_ui").css("display", "none");' >CANCEL</button>
			
		</div>
		
		
		</div>
	</div>
	
		     
		     
		</div>
		
		
		<!-- TAB 2 --> 
		<div id="tabs-2" 
			style="float: left; height: 440px; width: 88%; " > 
			
			<div 
				style="width: 100%; height: 419px; left: -20px;" 
				class="accounts-pane">
				
				<div class="cell_content" id="accounts_ui">
					
					<div 
						style="border: 0pt none white; margin-left: 3px; width: 328px; margin-top: 3px; top: 25px;" 
						class="cell_header">
						<h3>User Profile </h3>
						
						<br/><br/>
						<xx class="subheader" style="font-size: 1em; color: rgb(104, 104, 104); top: 25px; left: 25px; position: relative;">Coming Soon</xx>
					</div>
					
				</div>
				
				
			</div>
			
			
			<!-- <div class="register" style="background-color:white; border-color:#E0E0E0; border-style:solid; " >
				<p class="signuptitle">
					User Profile
				</p>
				<table>
					<tbody><tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">Username</td><td><input style="margin: 0px 7px;" name="password" id="username" value="" disabled="disabled" ></td>
					</tr>
					<tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">Password</td><td><input type="password" style="margin: 0px 7px;" name="password" id="password" value=""></td>
					</tr>
					<tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">First Name</td><td><input type="text" style="margin: 0px 7px;" name="firstname" id="firstname" value=""></td>
					</tr>
					<tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">Last Name</td><td><input type="text" style="margin: 0px 7px;" name="lastname" id="lastname" value=""></td>
					</tr>
					<tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">Email</td><td><input type="text" style="margin: 0px 7px;" name="email" id="email" value=""></td>
					</tr>
					<tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">Country</td>
						<td>
							<select style="margin: 0px 7px;" name="country" id="country">
								<option>United States</option>
								<option>Canada</option>
							</select>
						</td>
					</tr>
					<tr>
						<td style=" color:#222222; text-decoration:none; font-family:arial,sans-serif; font-size: 13.2px; ">Currency</td>
						<td>
							<select style="margin: 0px 7px;" name="currency" id="currency">
								<option>USD</option>
								<option>CDN</option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
						</td><td>
							
							<button onclick="javascript:bkeeping.register();" style="font-size: 13.2px;" class="buttons">SAVE</button>
							
						</td>
					</tr>
					</tbody>
				</table>
			</div>
			--> 
				
		</div>
		
		
		<!-- TAB 3 --> 
		<div id="tabs-3" style="float: left; height: 440px; width: 88%; " >
			
			
			<div 
				style="width: 100%; height: 419px; left: -20px;" 
				class="accounts-pane">
				
				<div class="cell_content" id="accounts_ui">
					
					<div 
						style="border: 0pt none white; margin-left: 3px; width: 328px; margin-top: 3px; top: 25px;" 
						class="cell_header">
						<h3>Forums </h3>
						
						<br/><br/>
						<xx class="subheader" style="font-size: 1em; color: rgb(104, 104, 104); top: 25px; left: 25px; position: relative;">Coming Soon</xx>
					</div>
					
				</div>
				
				
			</div>
			
			<!-- Look into embedding Zoho forums:
				- http://gadgets.zoho.com/zc/index.do 
				- http://ejohn.org/blog/google-groups-is-dead/ 
				- http://forum.jquery.com/#AllForums 
			--> 
			
			<!-- <h2>Content heading 3</h2>
			<p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem. Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales. Quisque eu urna vel enim commodo pellentesque. Praesent eu risus hendrerit ligula tempus pretium. Curabitur lorem enim, pretium nec, feugiat nec, luctus a, lacus.</p>
			
			<p>Duis cursus. Maecenas ligula eros, blandit nec, pharetra at, semper at, magna. Nullam ac lacus. Nulla facilisi. Praesent viverra justo vitae neque. Praesent blandit adipiscing velit. Suspendisse potenti. Donec mattis, pede vel pharetra blandit, magna ligula faucibus eros, id euismod lacus dolor eget odio. Nam scelerisque. Donec non libero sed nulla mattis commodo. Ut sagittis. Donec nisi lectus, feugiat porttitor, tempor ac, tempor vitae, pede. Aenean vehicula velit eu tellus interdum rutrum. Maecenas commodo. Pellentesque nec elit. Fusce in lacus. Vivamus a libero vitae lectus hendrerit hendrerit.</p>
			--> 
			
		</div>
		
		
	</div>
	</div>
	
	
	<div id="modal_screen" class="modal screen">
		&nbsp;
	</div>
	
	<div class="footer">
  		<p class="legal">
			2008-2009 bkeeping Software, Inc. | All Rights Reserved
		</p>
  	</div>
	
	
  </body>
</html>


